before_script:
  - export PATH="$HOME/bin:/opt/Xilinx/14.7/ISE_DS/ISE/bin/lin64:/home/ubuntu/DesignLab-1.0.8/hardware/tools/zpu/bin:$PATH"
  - git submodule update --init --recursive

papilio-pro:
  script: "fusesoc build papilio-pro"
  artifacts:
    paths:
    - build/papilio-pro_0/src/*
    - build/papilio-pro_0/bld-ise/papilio-pro_0.xise
    - build/papilio-pro_0/bld-ise/WebPack_QuickStart.bit
    - build/papilio-pro_0/bld-ise/WebPack_QuickStart.bin
    
papilio-duo:
  script: "fusesoc build papilio-duo"
  artifacts:
    paths:
    - build/papilio-duo_0/src/*
    - build/papilio-duo_0/bld-ise/papilio-duo_0.xise
    - build/papilio-duo_0/bld-ise/WebPack_QuickStart.bit
    - build/papilio-duo_0/bld-ise/WebPack_QuickStart.bin    
    
simulation:
  script: "fusesoc sim WebPack_QuickStart"
  artifacts:
    paths:
    - build/WebPack_QuickStart_0/sim-ghdl/simulation.fst